charsets.h File Reference
`#include "iso8859_1.h"`
Include dependency graph for charsets.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Variables

const char | RIGHT_ARROW = 28
const char | LEFT_ARROW = 29
const char | UP_ARROW = 30
const char | DOWN_ARROW = 31
const char | END = 128
const char | HOME = 128
const char | BACKSPACE = '\b'
const char | DELETE = 18
const char | PAGE_UP = 128
const char | PAGE_DOWN = 128
const unsigned char | DEFAULT_WORD_CHARS []
const char | DEFAULT_SEPARATOR_CHARS []
const char | DEFAULT_BLANKSPACE_CHARS []
const char | DEFAULT_CONTROL_CHARS []

## Variable Documentation

## BACKSPACE

const char BACKSPACE = '\b'

Definition at line 39 of file charsets.h.

## DEFAULT_BLANKSPACE_CHARS

const char DEFAULT_BLANKSPACE_CHARS[]

Initial value:
={
' ',
'\f',
'\n',
'\r',
'\t',
'\v',
'\0' }

Definition at line 210 of file charsets.h.

Referenced by main().

## DEFAULT_CONTROL_CHARS

const char DEFAULT_CONTROL_CHARS[]

Initial value:
={
RIGHT_ARROW,
LEFT_ARROW,
UP_ARROW,
DOWN_ARROW,
END,
HOME,
BACKSPACE,
DELETE,
PAGE_UP,
PAGE_DOWN,
'\0' }
LEFT_ARROW
const char LEFT_ARROW
Definition: charsets.h:34
END
const char END
Definition: charsets.h:37
PAGE_UP
const char PAGE_UP
Definition: charsets.h:41
RIGHT_ARROW
const char RIGHT_ARROW
Definition: charsets.h:33
UP_ARROW
const char UP_ARROW
Definition: charsets.h:35
HOME
const char HOME
Definition: charsets.h:38
BACKSPACE
const char BACKSPACE
Definition: charsets.h:39
DELETE
const char DELETE
Definition: charsets.h:40
PAGE_DOWN
const char PAGE_DOWN
Definition: charsets.h:42
DOWN_ARROW
const char DOWN_ARROW
Definition: charsets.h:36

Definition at line 219 of file charsets.h.

## DEFAULT_SEPARATOR_CHARS

const char DEFAULT_SEPARATOR_CHARS[]

Definition at line 176 of file charsets.h.

Referenced by main().

## DEFAULT_WORD_CHARS

const unsigned char DEFAULT_WORD_CHARS[]

Definition at line 45 of file charsets.h.

## DELETE

const char DELETE = 18

Definition at line 40 of file charsets.h.

## DOWN_ARROW

const char DOWN_ARROW = 31

Definition at line 36 of file charsets.h.

## END

const char END = 128

Definition at line 37 of file charsets.h.

## HOME

const char HOME = 128

Definition at line 38 of file charsets.h.

Referenced by ProfileManager::get_user_home_dir().

## LEFT_ARROW

const char LEFT_ARROW = 29

Definition at line 34 of file charsets.h.

## PAGE_DOWN

const char PAGE_DOWN = 128

Definition at line 42 of file charsets.h.

## PAGE_UP

const char PAGE_UP = 128

Definition at line 41 of file charsets.h.

## RIGHT_ARROW

const char RIGHT_ARROW = 28

Definition at line 33 of file charsets.h.

## UP_ARROW

const char UP_ARROW = 30

Definition at line 35 of file charsets.h.